> For a complete page index of the Captain API documentation, fetch https://docs.filesearch.dev/llms.txt?excludeSpec=true

# Get News Detail

GET https://api.filesearch.dev/v2/datasets/odyssey/credit-analysis/news/{newsId}

Get detailed news article by ID.

Returns cached article from a previous search. Articles are cached when
returned by /news/search or /news/recent.

Reference: https://docs.filesearch.dev/reference/datasets/odyssey/credit-analysis/news/credit-analysis-news-detail

## Request

### Path parameters

- `newsId` (string, required)

## Response

### 200

Successful Response

- `news_id` (string, optional)
- `title` (string, optional)
- `url` (string, optional)
- `snippet` (string, optional)
- `source` (string, optional)
- `query` (string, optional)
- `cached_at` (double, optional)

## Errors

### 404 Not Found Error

News article not found

- `error` (string, required) — Error kind. `HTTP_ERROR` for errors raised by the route.
- `message` (string, required) — What went wrong.
- `path` (string, required) — The request path.
- `status_code` (integer, optional) — The HTTP status code.

### 500 Internal Server Error

Internal server error

- `error` (string, required) — `INTERNAL_ERROR`.
- `message` (string, required)
- `path` (string, required)

## Examples

**Response**

```json
{
  "news_id": "abbd580c2473",
  "title": "FSB warns on private credit vulnerabilities",
  "url": "https://www.fsb.org/2026/05/fsb-warns-on-private-credit-vulnerabilities/",
  "snippet": "FSB warns that the private credit sector's complexity, leverage, and interconnectedness could amplify stress in adverse scenarios, ...",
  "source": "google",
  "query": "loan",
  "cached_at": 1783116113.846254
}
```

**SDK Code**

```python Python REST
import requests

BASE_URL = "https://api.filesearch.dev"
API_KEY = "your_api_key"

headers = {"Authorization": f"Bearer {API_KEY}"}

response = requests.get(
    f"{BASE_URL}/v2/datasets/odyssey/credit-analysis/news/abbd580c2473",
    headers=headers,
    timeout=60.0
)
print(response.json())
```

```typescript TypeScript REST
const BASE_URL = "https://api.filesearch.dev";
const API_KEY = "your_api_key";

const response = await fetch(`${BASE_URL}/v2/datasets/odyssey/credit-analysis/news/abbd580c2473`, {
    method: "GET",
    headers: { "Authorization": `Bearer ${API_KEY}` }
});
console.log(await response.json());
```